import type { EventEmitter } from '../../stencil-public-runtime';
import { MarkupInteractionHandler, MarkupInteractionHandlerScalingOptions } from '../../lib/markup/interactions';
import { MarkupInteraction } from '../../lib/types/markup';
import { BoundingBox2dAnchorPosition } from '../viewer-markup/markup-utils';
export declare class FreeformMarkupInteractionHandler extends MarkupInteractionHandler {
    private readonly markupEl;
    private readonly interactionBegin;
    private readonly interactionEnd;
    private pointerId?;
    private min?;
    private max?;
    private resizeBounds?;
    private resizePoints?;
    private resizeStartPosition?;
    private anchor;
    constructor(markupEl: HTMLVertexViewerMarkupFreeformElement, interactionBegin: EventEmitter<void>, interactionEnd: EventEmitter<MarkupInteraction>, scalingOptions?: MarkupInteractionHandlerScalingOptions);
    editAnchor(anchor: BoundingBox2dAnchorPosition, event: PointerEvent): void;
    startInteraction(event: PointerEvent): void;
    protected computeBoundingRect(): DOMRect;
    protected handleInteractionAttempt(event: PointerEvent): void;
    protected handleInteractionMove(event: PointerEvent): void;
    protected handleInteractionEnd(event: PointerEvent): void;
    private handleResizeInteractionMove;
    private handleResizeInteractionEnd;
    private updateMinAndMax;
}
